Skip to content

List conversations (inbox)

GET
/conversations
curl --request GET \
--url 'https://app.whatsetter.com/api/v1/conversations?limit=25' \
--header 'Authorization: Bearer <token>'

Leads with message activity, most recent first (your WhatSetter inbox). Requires scope conversations:read.

campaign_id
string
limit
integer
default: 25 >= 1 <= 100
cursor
string

Opaque cursor from the previous page’s pagination.next_cursor.

Page of conversation summaries

Media typeapplication/json
object
data
Array<object>
object
lead_id
string
phone
string | null
whatsapp_id
string | null
name
string | null
status
string | null
qualified
boolean
replied
boolean
campaign_id
string | null
messages_count
integer
last_message_at
string | null format: date-time
last_message_direction
string | null
pagination
object
has_more
boolean
next_cursor
string | null
Examplegenerated
{
"data": [
{
"lead_id": "example",
"phone": "example",
"whatsapp_id": "example",
"name": "example",
"status": "example",
"qualified": true,
"replied": true,
"campaign_id": "example",
"messages_count": 1,
"last_message_at": "2026-04-15T12:00:00Z",
"last_message_direction": "example"
}
],
"pagination": {
"has_more": true,
"next_cursor": "example"
}
}

Missing, unknown or revoked API key

Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}

The key lacks the required scope

Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}